#!/bin/bash

AGENT_HOME=/home/dfxagent/agent
SETTING_FILE=$AGENT_HOME/conf/settings.json

PARSE_MESSAGE_FILE_OPTION=$1
OUTPUT_OPTION=""

if [ -n "$2" ]; then
  OUTPUT_OPTION=$2
fi

# 🟢 실행 명령
echo "java -jar $AGENT_HOME/lib/dfxagent.jar \
  --setting.file=$SETTING_FILE \
  $PARSE_MESSAGE_FILE_OPTION \
  $OUTPUT_OPTION"
